import request from '@/utils/request'

// 查询普通歌曲列表
export function listNormalSong(query) {
  return request({
    url: '/back/music/list',
    method: 'get',
    params: query
  })
}

// 查询普通歌曲详细
export function getNormalSong(id) {
  return request({
    url: '/back/music/list/',
    params: {
      musicId: id
    },
    method: 'get'
  })
}

// 新增普通歌曲
export function addNormalSong(data) {
  return request({
    url: '/back/music/addMusic',
    method: 'post',
    data: data
  })
}

// 修改普通歌曲
export function updateNormalSong(data) {
  return request({
    url: '/back/music/',
    method: 'put',
    data: data
  })
}

// 删除普通歌曲
export function delNormalSong(id) {
  return request({
    url: '/back/music/' + id,
    method: 'delete'
  })
}
